Skip to main content
DELETE
/
v1
/
cwobject
/
access-policy
/
{name}
Delete access policy
curl --request DELETE \
  --url https://api.coreweave.com/v1/cwobject/access-policy/{name} \
  --header 'Authorization: Bearer <token>'
This response has no body data.

gRPC method: DeleteAccessPolicy

Substitute {name} with the access-policy name to delete.
Example request
curl -X DELETE https://api.coreweave.com/v1/cwobject/access-policy/{name} \
       -H "Content-Type: application/json" \
       -H "Authorization: Bearer {API_ACCESS_TOKEN}"

Authorizations

Authorization
string
header
default:Bearer {API_ACCESS_TOKEN}
required

CoreWeave API access token sent as a bearer token in the Authorization header (the value is prefixed with Bearer). Used by every operation except the SAML/OIDC token-exchange endpoints (anonymous) and the container credentials GET (which uses ContainerCredentialsAuth).

Path Parameters

name
string
required

Response

Last modified on June 25, 2026